package com.wechat.callback.tencentrequests;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "xml")
public final class UserSentLocationRequest extends BaseRequest {
    private Double longitude; //经度
    private Double latitude;//纬度
    private Double scale;//缩放大小
    private String lable;//位置信息
    private Long msgId;//消息ID

    public Double getLongitude() {
        return longitude;
    }

    @XmlElement(name = "Location_Y")
    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    @XmlElement(name = "Location_X")
    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getScale() {
        return scale;
    }

    @XmlElement(name = "Scale")
    public void setScale(Double scale) {
        this.scale = scale;
    }

    public String getLable() {
        return lable;
    }

    @XmlElement(name = "Label")
    public void setLable(String lable) {
        this.lable = lable;
    }

    public Long getMsgId() {
        return msgId;
    }

    @XmlElement(name = "MsgId")
    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }
}
